# Class CIM_RedirectionServiceCapabilities
extends CIM_EnabledLogicalElementCapabilities

RedirectionServiceCapabilities describes the capabilities of the associated RedirectionService.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Capabilities
|
+--CIM_EnabledLogicalElementCapabilities
|
+--CIM_RedirectionServiceCapabilities

## Direct Known Subclasses

CIM_MediaRedirectionCapabilities
CIM_USBRedirectionCapabilities

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | RedirectionServiceCapabilities describes the capabilities of the associated RedirectionService.
UMLPackagePath | string | CIM::Network::ConsoleProtocols
Version | string | 2.22.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
SharingModeSupported | uint16[] |
Description | string | SharingModeSupported indicates the possible values to which the SharingMode of the associated RedirectionService can be set.
ValueMap | string | 0, 2, 3, ..
Values | string | Unknown, Exclusive, Shared, DMTF Reserved

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_Capabilities
ElementNameEditSupported | boolean | CIM_EnabledLogicalElementCapabilities
ElementNameMask | string | CIM_EnabledLogicalElementCapabilities
InstanceID | string | CIM_Capabilities
MaxElementNameLen | uint16 | CIM_EnabledLogicalElementCapabilities
RequestedStatesSupported | uint16[] | CIM_EnabledLogicalElementCapabilities

## Class Methods